JadeOfMaar

[1.7.3] OPT Reconfig v1.6.1 & OPT Legacy 1.4.0 [August 08, 2019]

Recommended Posts

SVxViYf.png

OPT Reconfig
Supplies highly needed config files to keep OPT Spaceplane Parts useful and alive in the absence of the original modder, @K.Yeon and in the changing KSP gameplay landscape.
This modlet affects both OPT Main pack and OPT Legacy so be sure to always have this.

Do not use this with my modlets OPT_USI, OPT_WBI, or OPT Legacy v1.0.9 or lower

Do not use this if you have an OPT FAR config already. Or if you have one, delete it. This mod also contains an OPT FAR config. Both will run and will cause serious problems

Required by OPT Legacy 1.1.0 or higher

Requires B9 Part Switch or WBI Pathfinder for tank options

Requires Community Resource Pack for the resources in the tank options if you don't play in WBI Classic Stock mode

  • Adds a higher tech tree node than Experimental Aircraft Engines for the most OP of engines.
  • Makes all main pack engines less OP or more challenging to use.
  • Makes the weaker engines stronger at reasonable cost.
  • Makes these exact changes to OPT Main's engines:
    • Buffs the Isp and doubles the thrust of J Aerospike, and gives it decent gimbal.
    • Makes the ARI-75 engine require EC to justify its higher vacuum Isp and gives it an instant-response second mode for vacuum lander-friendly use.
    • Makes the J-92 Shcramjet into dual-mode with the second mode as a proper EC-guzzling future scramjet that starts at Mach 4 and is useful in upscaled systems.
    • Makes the Dark Drive regenerate and require Dark Goo (as implied in its part description) and also serve as an RTG with half-life, and gives it 1 deg of gimbal. Related: equips the J science lab with a facility to produce Dark Science required to regenerate Dark Goo, and gives the stock Experiment Storage Unit some Dark Science tankage to avoid all Dark Drive equipped craft needing to have a J science lab. The point of this is make it challenging to use so people stop crying "OMG OP" at it.
    • Makes the HAE-02 Mk2 engine less thrusty.
  • Replaces dirty old Firespitter configs with B9 Part Switch and Wild Blue Tools (WBI) (much easier to add the tank types you want to all parts in OPT Main and Legacy).
  • Integrates USI Life Support, TAC and Snacks! through B9 Part Switch or Wild Blue Industries (absorbs the OPT_USI and OPT_WBI mods).
  • Integrates Kerbalism through its own mechanisms for crewed parts and B9 Part Switch for all other parts.
  • Delivers the fabled OPT FAR patch at last.

DOWNLOAD OPT Reconfig!

DOWNLOAD OPT Legacy!

Engine reconfig (OPT Main) full details with pics:

 

Edited by JadeOfMaar

Share this post


Link to post
Share on other sites
Just now, DracoSilverpath said:

Interesting mod! How will the moving of the engine to a new Tree Node effect how things are handled when using CTT?

After OPT's own config applies, OPT Reconfig applies, in sequence. There's nothing to worry about.

Share this post


Link to post
Share on other sites

The README says "LICENSE - CC-BY-NC-SA-4.0"

but SpaceDock says "License: MIT"

Which is correct?

18 minutes ago, JadeOfMaar said:
  • Replaces dirty old Firespitter configs with B9 Part Switch and Wild Blue Tools (WBI) (much easier to add the tank types you want to all parts in OPT Main and Legacy)

Are those two mods required?

Share this post


Link to post
Share on other sites

Does this help with the engine efficiency and the crazy drag with some of the parts?

Share this post


Link to post
Share on other sites
4 hours ago, shdwlrd said:

Does this help with the engine efficiency and the crazy drag with some of the parts?

It raises the efficiency of only two engines (the ARI-75 vac Isp raised from 340 to 380, and the J Linear Aerospike by nearly as much). 

I haven't made any attempt to deal with the drag problem but I intend to.

4 hours ago, HebaruSan said:

The README says "LICENSE - CC-BY-NC-SA-4.0"

but SpaceDock says "License: MIT"

Which is correct?

-snip-

Are those two mods required?

I noticed that quickly enough and changed it to CC.

Yes, OPT Reconfig requires B9 Part Switch. And it recommends Community Resource Pack.

I've posted an OPT Legacy update now and allowed it to appear on CKAN. Feel free to make the following changes:

  • "OPTSpacePlane" whatever is renamed to "OPT Spaceplane Parts" and whatever issues with it are cleaned up. (I'd be quite thankful. :) )
  • OPT Reconfig is required by OPT Spaceplane and OPT Legacy
  • Remove any references to Firespitter or Interstellar Fuel Switch.
Edited by JadeOfMaar

Share this post


Link to post
Share on other sites

Hey @JadeOfMaar First of all, thanks for maintaining those mods :) I have a problem with the game telling me that:

"B9PartSwitch has encountered a fatal error and KSP needs to close

 No tank type named 'OPTOX' exists"

There's no log, all my mods are the latest version, including both OPT and OPT legacy, and of course B9PartSwitch itself... Any idea from where it can come from? Thanks again :)  (and sorry for my clumsy english...)

Share this post


Link to post
Share on other sites
3 hours ago, Rawenwarcrow said:

 No tank type named 'OPTOX' exists"

There's no log, all my mods are the latest version, including both OPT and OPT legacy, and of course B9PartSwitch itself... Any idea from where it can come from? Thanks again :)  (and sorry for my clumsy english...)

You don't mention in your statement that you have OPT Reconfig installed. I have been error-free the entire time, even a few hours ago in KSP 1.3.1 and 1.4.2. I assume you have it since you're commenting here. What KSP version are you using?

Share this post


Link to post
Share on other sites

Hey is this OPT itself? OPT parts? Like a 1.4.2 version of OPT? Or is it like an addon?

Share this post


Link to post
Share on other sites
18 minutes ago, The-Doctor said:

Hey is this OPT itself? OPT parts? Like a 1.4.2 version of OPT? Or is it like an addon?

It's just a config bundle. There will never be any parts in it. It causes OPT to be as if it was directly updated for 1.4.x

Share this post


Link to post
Share on other sites
4 hours ago, JadeOfMaar said:

It's just a config bundle. There will never be any parts in it. It causes OPT to be as if it was directly updated for 1.4.x

So, a silly question, why not just fork OPT and release a full update?  The license is CC-BY-NC-SA, so it would be allowed.

Share this post


Link to post
Share on other sites

@linuxgurugamer I've ben entertaining the idea that th missing dev eventually might and will drop a big update and cause a (more) hairy situation. Otherwise, I simply don't feel ready to takeover OPT. I haven't yet learned to make a new part and finish it from scratch-- nevermind fix existing ones. I have another reason or two on top of that. :/ 

Share this post


Link to post
Share on other sites

Release 1.0.2

  • Removed dual WBI tank option on Stail docking port, adjusted legacy wing volume in B9PS
  • Fixed bad references to OPT Legacy (This might have kept provoking CryoTanks)

 

On 4/14/2018 at 1:58 PM, Modding Maniac said:

if its a problem with reconfig, cant the author just release it without the bugged thing?

In this case I found potential bug-causing things elsewhere, unexpected. Try this update.

Share this post


Link to post
Share on other sites
1 hour ago, JadeOfMaar said:

Release 1.0.2

  • Removed dual WBI tank option on Stail docking port, adjusted legacy wing volume in B9PS
  • Fixed bad references to OPT Legacy (This might have kept provoking CryoTanks)

 

In this case I found potential bug-causing things elsewhere, unexpected. Try this update.

thx, will attempt now

Share this post


Link to post
Share on other sites
56 minutes ago, Modding Maniac said:

thx, will attempt now

still getting the fekkin error

Edited by Modding Maniac

Share this post


Link to post
Share on other sites
5 hours ago, Modding Maniac said:

still getting the fekkin error

It would be nice to have logs if they generated for you. KSP.log (in the main game folder) should be enough now in 1.4. I made sure to have every (other) needed mod installed while making my updates today. Sorry dude, I can't help you if there's no log.

Share this post


Link to post
Share on other sites
19 hours ago, JadeOfMaar said:

It would be nice to have logs if they generated for you. KSP.log (in the main game folder) should be enough now in 1.4. I made sure to have every (other) needed mod installed while making my updates today. Sorry dude, I can't help you if there's no log.

i have the logs, should i just post the whole thing here?

Share this post


Link to post
Share on other sites
43 minutes ago, Modding Maniac said:

i have the logs, should i just post the whole thing here?

Never do that. It will choke the forum software. Zip it up and share a link to the zip.

Share this post


Link to post
Share on other sites
4 minutes ago, JadeOfMaar said:

Never do that. It will choke the forum software. Zip it up and share a link to the zip.

how do i zip it up and do that............................(IM SORRY IM AN IDIOT)

Share this post


Link to post
Share on other sites

I just started modding yesterday. got Ckan first thing, got a list of mods but opt reconfig isn't on there for me, I barely know what i'm doing with the software but i have refreshed/updated the list & i don't know how to install it manually.

Also, This is probably be a stupid question but will i need the original opt as well as the legacy one?

Share this post


Link to post
Share on other sites
2 hours ago, Bin-laden in a blender said:

got Ckan first thing, got a list of mods but opt reconfig isn't on there for me, I barely know what i'm doing with the software but i have refreshed/updated the list & i don't know how to install it manually.

Also, This is probably be a stupid question but will i need the original opt as well as the legacy one?

download OPT Reconfig then take the folder OPT_Reconfig ( GameData/OPT_Reconfig/ ) from in the zip and put it in the GameData folder in your KSP folder. Once it is there alongside the folders of Squad and everything you installed from CKAN, you installed it correctly.

OPT Legacy absolutely needs this but it is optional for Main OPT.

Share this post


Link to post
Share on other sites

@JadeOfMaar

So I took your advice from the OPT thread on Saturday and installed OPT reconfig. I really like the changes, especially to the Aerospike, but I wanted to suggest an edit to the original post.

On 4/12/2018 at 7:37 PM, JadeOfMaar said:

Do not use this with my modlets OPT_USI, OPT_WBI, or OPT Legacy v1.0.9 or lower

I think you should add to not use this with the original OPT_FAR patch as well. I didn't realize at first that I still had OPT_FAR in the OPT folder, and with OPT Reconfig installed (and thus OPT_FAR2) I experienced an issue where all OPT elevons caused crafts to be stuck by their CoM on spawn. It took me some digging to figure out what was going on as I originally thought it was WorldStabilizer causing the problem, but removing OPT_FAR seems to have fixed everything.

Thanks for all the work you do, the KSP community continues to amaze and impress me. :) 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.